
Redmine - Feature #9851

Equalize the way how available shared versions are differentiated in target version drop-downs

2011-12-21 03:38 - Mischa The Evil

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:    

Description

I'd suggest to equalize the way how available shared versions are differentiated in target version drop-downs since they differ

between issues/new and issues/index. See the following screenshots:

issues/new tv_issues-new.jpg 

issues/index tv_issues-index.jpg 

I'm happy with either one as long as long as we're presenting a consistent UI.

Related issues:

Related to Redmine - Feature #9850: Differentiate shared versions in version-... Closed

Related to Redmine - Feature #15902: Custom Field - Version - Combo list to b... New

Related to Redmine - Defect #28865: Group items by project in version type cu... New

Has duplicate Redmine - Feature #14449: Versions custom field format Closed

History

#1 - 2011-12-22 23:23 - Mischa The Evil

- Subject changed from Equalize the way how available shared versions are differenciated in target version drop-downs to Equalize the way how

available shared versions are differentiated in target version drop-downs

- Description updated

Fixing ugly typo.

#2 - 2012-05-15 18:30 - Etienne Massip

- Target version set to Candidate for next minor release

#3 - 2013-07-13 00:33 - Mischa The Evil

- Has duplicate Feature #14449: Versions custom field format  added

#4 - 2013-07-16 03:36 - Mischa The Evil

- Description updated

Fixed description:

Placed screenshots in table to seperate them better, and reordered them;

Changed "constant UI" to "consistent UI".

#5 - 2015-08-06 09:53 - Toshi MARUYAMA

- Related to Feature #19965: values of custom fileds of version type should be prefixed with or grouped by project name added

#6 - 2015-08-24 10:39 - Alexis Parent

+1

#7 - 2016-01-20 14:14 - Christophe Portier
+1

#8 - 2017-01-18 03:05 - Mischa The Evil

- Related to deleted (Feature #19965: values of custom fileds of version type should be prefixed with or grouped by project name)

#9 - 2017-02-14 04:26 - Mischa The Evil

- Related to Feature #15902: Custom Field - Version - Combo list to be grouped by projects.. added

#10 - 2018-01-03 09:03 - Edgars Batna

Make all version fields be presented similarly to the Target Version field (grouped by project name).

Also, take into account that the project name alone does not say much, if the project is in hierarchy with other, similarly named projects. Parent project

names should be prepended to the project name.

You can test this and see that version management is impossible in Redmine once there are multiple hierarchy levels and trees.

#11 - 2018-05-23 14:40 - Greg Burri

I just tested this case with the 3.4.4 version of Redmine and it doesn't seem fixed. Custom fields displayed as a list with the Version format aren't

prefixed with the project name when issue is edited so you can't distinguish between two versions having the same name but owned by different

projects.

#12 - 2019-07-01 16:29 - flabb17 _

+1

Same situation as describe by Gred Burri :

See #28865

#13 - 2019-07-02 05:41 - Bernhard Rohloff

- Related to Defect #28865: Group items by project in version type custom fields added

#14 - 2023-08-02 11:57 - Stephane Poss

As a work around for everyone passing by looking for a 'solution': here is an improvement. In app/models/version.rb, add a to_s_with_project_status

method with content

  def to_s_with_project_status

    "#{project} - #{name} - #{status}" 

  end

And in lib/redmine/field_format.rb, find the class VersionFormat, and change the possible_values_options to

      def possible_values_options(custom_field, object=nil)

        possible_values_records(custom_field, object).sort.collect do |v|

          [v.to_s_with_project_status, v.id.to_s]

        end

      end

 This will prefix the version in the list with the project name and postfix with the status. It's not ideal, but could help.
